<?php

class ConfigHolder
{
    public static $cats_lcfg_map = null;

    public static function cats_config_id($section_id)
    {
        return MainHelper::$plugin_name . "_${section_id}_categories";
    }

    public static function get_section_id_from_config_id($lcfg_id)
    {
        $off = strlen(MainHelper::$plugin_name . "_");
        $len = strlen($lcfg_id) - strlen("_categories") - $off;
        return substr($lcfg_id, $off, $len);
    }

    public static function cats_lcfg_reload($section_id)
    {
        if (isset(self::$cats_lcfg_map))
            self::$cats_lcfg_map = array();
        self::$cats_lcfg_map[$section_id] = ListUtils::read_config_file(
            self::cats_config_id($section_id));
        return self::$cats_lcfg_map[$section_id];
    }

    public static function cats_lcfg_ensure_loaded($section_id)
    {
        if (isset(self::$cats_lcfg_map))
            self::$cats_lcfg_map = array();
        if (!isset(self::$cats_lcfg_map[$section_id]))
            self::cats_lcfg_reload($section_id);
        return self::$cats_lcfg_map[$section_id];
    }
}

?>
